WordPress 5.1 Beta 2 发布,正式版将于 2 月 21 日发布

2019-01-2611:25:15 4 268
摘要

在2019年4月,WordPress 会将其支持的最低 PHP 版本变更为 5.6。为了帮助用户检查是否已准备好进行此更改,WordPress 5.1 将向用户提示警告,并在必要时帮助升级 PHP 版本。

WordPress 5.1 测试版 Beta 2 现已发布。WordPress 5.1 目前正在开发中,不建议在生产环境中使用。不过官方表示 WordPress 5.1 正式版将于 2 月 21 日发布。

目前看来这次的 5.1 版,主要还是 5.0 以来累积的 BUG 修复为主,正式版的发布要到农历新年后了,可以淡定的过年,不用关心 WordPress 的及时更新了,说实话至今明月都不喜欢 WordPress 5.0,可能是新版编辑器太恶心的缘故吧!又加上 WordPress 5.0 造成我的 Begin 主题再编辑器里的扩展按钮都失效了,一直很郁闷。

下载地址:https://wordpress.org/wordpress-5.1-beta2.zip

此外,在 2019 年 4 月,WordPress 会将其支持的最低 PHP 版本变更为 5.6。为了帮助用户检查是否已准备好进行此更改,WordPress 5.1 将向用户提示警告,并在必要时帮助升级 PHP 版本。

自 beta 1 发布以来已关闭超过 110 个工单,其中许多是针对文档和测试套件的改进。以下是主要变更和错误修复:

  • 已经进行了几项与 Site Health 项目相关的改进和错误修复。
  • 引入了 pre_render_block 和 render_block_data 过滤器,允许插件覆盖块属性值(#45451,即将发布的开发说明)。
  • get_template_part()现在将返回一个值,指示是否找到并加载了模板文件(#40969)。
  • 现在,当开发人员错误地注册 REST API 端点(相关开发说明)时,将触发通知。
  • 批量编辑帖子将不再无意中更改帖子的帖子格式(#44914
  • Twemoji 已更新至最新版本 11.2.0(#45133)。
  • 修复了阻止自定义字段元框被启用的错误(#46028)。
  • post__in,post_parent__in 和 post_name__in 的 orderby 值的处理已经标准化(#38034)。
  • 更新语言包时,现在可以正确删除旧语言包以避免填满磁盘空间(#45468)。

详情请,点解这里

历史文章推荐:

  • 打赏明月一下下
  • 多谢您的赞赏!
  • weinxin
  • 本博客小程序
  • 微信内浏览本博客
  • weinxin

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

目前评论:4   其中:访客  2   博主  2

    • wordpress建站吧 3

      更新的太快了,以后我们的4.几的老版本咋办,无法适应

      • 恍梦境° 4

        这次5.0更新真心接受不了呀!